<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PICF (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PICF (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PICF.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/ParagraphHeight.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PICFAndOfficeArtData.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/PICF.html" target="_top">Frames</a></li>
        <li><a href="PICF.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.PICFAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class PICF" class="title">Class PICF</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.PICFAbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.PICF</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">PICF</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">PICFAbstractType</a></pre>
                <div class="block">The PICF structure specifies the type of a picture, as well as the size of
                    the picture and information about its border.
                    <p>
                        Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.PICFAbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">PICFAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_1_lcb">field_1_lcb</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_10_padding2">field_10_padding2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_11_dxaGoal">field_11_dxaGoal</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_12_dyaGoal">field_12_dyaGoal</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_13_mx">field_13_mx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_14_my">field_14_my</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_15_dxaReserved1">field_15_dxaReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_16_dyaReserved1">field_16_dyaReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_17_dxaReserved2">field_17_dxaReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_18_dyaReserved2">field_18_dyaReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_19_fReserved">field_19_fReserved</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_2_cbHeader">field_2_cbHeader</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_20_bpp">field_20_bpp</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_21_brcTop80">field_21_brcTop80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_22_brcLeft80">field_22_brcLeft80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_23_brcBottom80">field_23_brcBottom80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_24_brcRight80">field_24_brcRight80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_25_dxaReserved3">field_25_dxaReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_26_dyaReserved3">field_26_dyaReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_27_cProps">field_27_cProps</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_3_mm">field_3_mm</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_4_xExt">field_4_xExt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_5_yExt">field_5_yExt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_6_swHMF">field_6_swHMF</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_7_grf">field_7_grf</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_8_padding">field_8_padding</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#field_9_mmPM">field_9_mmPM</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PICF.html#PICF--">PICF</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PICF.html#PICF-byte:A-int-">PICF</a></span>(byte[]&nbsp;std,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PICF.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PICF.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.PICFAbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">PICFAbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getBpp--">getBpp</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getBrcBottom80--">getBrcBottom80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getBrcLeft80--">getBrcLeft80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getBrcRight80--">getBrcRight80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getBrcTop80--">getBrcTop80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getCbHeader--">getCbHeader</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getCProps--">getCProps</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDxaGoal--">getDxaGoal</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDxaReserved1--">getDxaReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDxaReserved2--">getDxaReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDxaReserved3--">getDxaReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDyaGoal--">getDyaGoal</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDyaReserved1--">getDyaReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDyaReserved2--">getDyaReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getDyaReserved3--">getDyaReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getFReserved--">getFReserved</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getGrf--">getGrf</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getLcb--">getLcb</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getMm--">getMm</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getMmPM--">getMmPM</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getMx--">getMx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getMy--">getMy</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getPadding--">getPadding</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getPadding2--">getPadding2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getSwHMF--">getSwHMF</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getXExt--">getXExt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#getYExt--">getYExt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setBpp-byte-">setBpp</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setBrcBottom80-byte:A-">setBrcBottom80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setBrcLeft80-byte:A-">setBrcLeft80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setBrcRight80-byte:A-">setBrcRight80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setBrcTop80-byte:A-">setBrcTop80</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setCbHeader-int-">setCbHeader</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setCProps-short-">setCProps</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDxaGoal-short-">setDxaGoal</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDxaReserved1-short-">setDxaReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDxaReserved2-short-">setDxaReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDxaReserved3-short-">setDxaReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDyaGoal-short-">setDyaGoal</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDyaReserved1-short-">setDyaReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDyaReserved2-short-">setDyaReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setDyaReserved3-short-">setDyaReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setFReserved-byte-">setFReserved</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setGrf-int-">setGrf</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setLcb-int-">setLcb</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setMm-short-">setMm</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setMmPM-int-">setMmPM</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setMx-int-">setMx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setMy-int-">setMy</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setPadding-int-">setPadding</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setPadding2-int-">setPadding2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setSwHMF-short-">setSwHMF</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setXExt-short-">setXExt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#setYExt-short-">setYExt</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PICF--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PICF</h4>
                                <pre>public&nbsp;PICF()</pre>
                            </li>
                        </ul>
                        <a name="PICF-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PICF</h4>
                                <pre>public&nbsp;PICF(byte[]&nbsp;std,
            int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PICF.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/ParagraphHeight.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PICFAndOfficeArtData.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/PICF.html" target="_top">Frames</a></li>
        <li><a href="PICF.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.PICFAbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
